
QGIS Application - Bug report #20563

MySQL connection fails

2018-11-20 02:15 PM - steve smith

Status: Open

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:3.4.1 Regression?: No

Operating System: Wundows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28383

Description

When connecting to Mysql(v 5.7.22 and v 8 ) from QGIS no features are visible unless a filter is applied to the layer (eg select * from

geo_polys).

Then the layer cannot be edited because of the active filter.

Related issues:

Related to QGIS Application - Bug report # 21424: Mysql connection not working Closed 2019-02-28

History

#1 - 2018-11-20 06:15 PM - Alessandro Pasotti

- Status changed from Open to Feedback

I cannot reproduce on Linux, can you share a DB dump with a few lines of data and a test project?

#2 - 2018-11-26 10:46 AM - steve smith

Hi,

I have set up two live databases for you to test.

I sent the connection details via email (as I would rather not put them on a forum) but not sure if you email notification was "no reply".

To recap : The mysql connection is working fine on Mysql 5.6 and all versions of Mariadb but has the "no features showing" problem on mysql 5.7

onwards.

The connection has always worked very smoothly and we started building our system round it. My client gives me no choice but Mysql.

Thanks again and in advance.

#3 - 2018-11-26 10:50 AM - steve smith

I should have added that our server is Windows 2012 64 bit LAMP stack and client is 64bit desktop version on Windows 10

#4 - 2019-03-09 11:06 AM - Giovanni Manghi

- Status changed from Feedback to Open
#5 - 2019-03-09 11:06 AM - Giovanni Manghi

- Related to Bug report #21424: Mysql connection not working added
